CAD Forums > CAD General

Vertical platform cad

(1/1)

daron:
I have been trying to figure out how to access the object model of ADT through a tlb. I don't think it would be any different than accessing the object model of say, LDD or any other vertical platform, so has anybody using any other VP been able to access their tlb's in lisp? I find it hard to believe that VBA is the only way to access them.

JohnK:
Sorry cant help ya. (Honestly, I dont even know what your talking about.)

Mark:
This is LDD2-4

--- Code: ---(defun LD3-ProjectName (/ AeccApp AeccProject ProName)

  (vl-catch-all-apply
    (function
      (lambda ()
        (setq AeccApp
              (vla-getinterfaceobject
                (vlax-get-acad-object)
                "Aecc.Application"
                )
              )
        (setq AeccProject
              (vlax-get-property AeccApp 'ActiveProject)
              )
        (setq ProName
              (vlax-get-property AeccProject 'Name)
              )
        )
      )
    )
  (mapcar 'MST-release (list AeccApp AeccProject))
  ProName
  ) ; defun

--- End code ---

daron:
Thank you Mark. I'll try to figure that out.

Navigation

[0] Message Index

Go to full version